{
  "name": "react-native-screens",
  "version": "2.18.1",
  "description": "Native navigation primitives for your React Native app.",
  "scripts": {
    "check-types": "tsc --noEmit",
    "start": "react-native start",
    "test:unit": "jest --passWithNoTests",
    "format": "prettier --write --list-different './src/**/*.{js,ts,tsx}'",
    "lint": "eslint --ext '.js,.ts,.tsx' --fix src && yarn check-types",
    "precommit": "yarn format && yarn lint",
    "release": "npm login && release-it"
  },
  "main": "lib/commonjs/index",
  "module": "lib/module/index",
  "react-native": "src/index",
  "source": "src/index",
  "types": "lib/typescript/index",
  "files": [
    "src/",
    "lib/",
    "native-stack/",
    "createNativeStackNavigator/",
    "android/src/main/AndroidManifest.xml",
    "android/src/main/java/",
    "android/src/main/res",
    "android/build.gradle",
    "ios/",
    "RNScreens.podspec",
    "README.md",
    "!**/__tests__"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://github.com/kmagiera/react-native-screens.git"
  },
  "author": {
    "email": "krzys.magiera@gmail.com",
    "name": "Krzysztof Magiera"
  },
  "license": "MIT",
  "readmeFilename": "README.md",
  "bugs": {
    "url": "https://github.com/kmagiera/react-native-screens/issues"
  },
  "homepage": "https://github.com/kmagiera/react-native-screens#readme",
  "peerDependencies": {
    "react": "*",
    "react-native": "*"
  },
  "devDependencies": {
    "@babel/core": "^7.11.0",
    "@react-native-community/bob": "^0.17.1",
    "@react-navigation/native": "^5.8.0",
    "@react-navigation/stack": "^5.10.0",
    "@types/jest": "^26.0.8",
    "@types/react": "^16.9.44",
    "@types/react-native": "^0.63.2",
    "@types/react-test-renderer": "^16.9.2",
    "@typescript-eslint/eslint-plugin": "^3.7.1",
    "@typescript-eslint/parser": "^3.7.1",
    "babel-eslint": "^10.1.0",
    "babel-jest": "^26.2.2",
    "eslint": "^7.6.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-config-standard": "^14.1.1",
    "eslint-plugin-import": "^2.22.0",
    "eslint-plugin-jest": "^23.20.0",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-react": "^7.20.5",
    "eslint-plugin-react-native": "^3.2.1",
    "eslint-plugin-standard": "^4.0.1",
    "husky": "^0.14.3",
    "jest": "^26.2.2",
    "jest-react-native": "18.0.0",
    "lint-staged": "^7.1.3",
    "metro-react-native-babel-preset": "^0.61.0",
    "prettier": "^2.0.4",
    "react": "^16.13.1",
    "react-dom": "^16.13.1",
    "react-native": "^0.63.2",
    "react-native-safe-area-context": "^3.1.9",
    "react-navigation": "^4.4.3",
    "react-navigation-stack": "^2.9.0",
    "react-test-renderer": "^16.13.1",
    "release-it": "^13.5.2",
    "typescript": "^3.9.7"
  },
  "lint-staged": {
    "*.{js,ts,tsx}": [
      "prettier --write",
      "git add"
    ]
  },
  "eslintIgnore": [
    "node_modules/",
    "lib/"
  ]
}
